function serverCmdBanBuilder ( %client, %id, %r0, %r1, %r2, %r3, %r4, %r5, %r6, %r7, %r8, %r9, %r10, %r11, %r12, %r13 )
{
	if ( !canBanBuilders (%client) )
	{
		messageClient (%client, '', "You don't have permission to use this command.");
		return;
	}

	if ( %id == getNumKeyID () )
	{
		messageClient (%client, '', "You can't ban the host from building.");
		return;
	}

	if ( %id $= "" )
	{
		messageClient (%client, '', "No BL_ID specified");
		messageClient (%client, '', "Usage: /banBuilder bl_id reason");
	}
	else
	{
		%reason = %r0;

		for ( %i = 1;  %i < 14;  %i++ )
		{
			if ( %r[%i] $= "" )
			{
				break;
			}

			%reason = %reason SPC %r[%i];
		}

		banBuilder (%id, %reason, %client);
	}
}

function banBuilder ( %id, %reason, %banningClient )
{
	if ( %id $= "" )
	{
		if ( !isObject (%banningClient) )
		{
			echo ("Usage: banBuilder(bl_id, reason);");
		}

		return;
	}

	if ( %id * 1 != %id )
	{
		if ( !isObject (%banningClient) )
		{
			error ("banBuilder () - Invalid BL_ID `" @ %id @ "`");
		}
		else
		{
			messageClient (%banningClient, '', "Invalid BL_ID!");
		}

		return;
	}

	%group = "BrickGroup_" @ %id;
	%name  = "";

	if ( isObject (%group) )
	{
		%name = %group.name;
	}

	if ( isObject (%group.client) )
	{
		serverCmdCancelBrick (%group.client);
	}

	%banningName  = "CONSOLE";
	%banningBL_ID = -1;

	if ( isObject (%banningClient) )
	{
		%banningName  = %banningClient.name;
		%banningBL_ID = %banningClient.bl_id;
	}

	%file = new FileObject ();
	%file.openForWrite ("config/server/bannedBuilders/" @ %id @ ".txt");
	%file.writeLine (%name TAB %banningName TAB %banningBL_ID TAB %reason);

	%file.close ();
	%file.delete ();

	%msg = '\c3%1 \c2permanently banned \c3%2 \c2(ID: %3) from building - \"%4\"';
	messageAll ('MsgAdminForce', %msg, %banningName, %name, %id, %reason);

	echo ("\nBUILDER BAN issued by " @ %banningName @ " (ID: " @ %banningBL_ID @ ")");
	echo ("  +- victim name = " @ %name);
	echo ("  +- victim bl_id = " @ %id);
	echo ("  +- ban reason = " @ %reason @ "\n");
}
