if ( $Server::BuilderBan::LastListTime $= "" )
{
	$Server::BuilderBan::LastListTime = getSimTime ();
}


function serverCmdBannedBuilders ( %client )
{
	if ( !canBanBuilders (%client) )
	{
		messageClient (%client, '', "You don't have permission to use this command.");
		return;
	}

	if ( getSimTime () - $Server::BuilderBan::LastListTime < 2000 )
	{
		messageClient (%client, '', "Please wait before trying this command again.");
		return;
	}

	$Server::BuilderBan::LastListTime = getSimTime ();
	listBannedBuilders (%client);
}

function listBannedBuilders ( %client )
{
	%pattern = "config/server/bannedBuilders/*.txt";

	if ( findFirstFile (%pattern) $= "" )
	{
		if ( isObject (%client) )
		{
			messageClient (%client, '', "\c4No players are banned from building at this time.");
		}
		else
		{
			echo ("No players are banned from building at this time.");
		}

		return;
	}

	if ( isObject (%client) )
	{
		messageClient (%client, '', " ");
		messageClient (%client, '', "\c4Banned Builders:");
	}
	else
	{
		echo ("\n=== Banned Builders ===");
	}

	%file = new FileObject ();

	for ( %filePath = findFirstFile (%pattern);  %filePath !$= "";  %filePath = findNextFile (%pattern) )
	{
		%file.openForRead (%filePath);
		%line = %file.readLine ();

		%id = fileBase (%filePath);
		%name = getField (%line, 0);

		%clientName = getField (%line, 1);
		%clientBL_ID = getField (%line, 2);

		%reason = getField (%line, 3);

		if ( %name $= "" )
		{
			%brickGroup = "BrickGroup_" @ %id;

			if ( isObject (%brickGroup) )
			{
				%name = %brickGroup.name;
			}
			else
			{
				%name = "\c1BL_ID: " @ %id;
			}
		}

		if ( isObject (%client) )
		{
			%msg = '  \c6- \c3%1 \c2(ID: %2) by \c3%3 \c2(ID: %4) - "%5"';
			messageClient (%client, '', %msg, %name, %id, %clientName, %clientBL_ID, %reason);
		}
		else
		{
			echo ("  +- " @ %name @ " (ID: " @ %id @ ") by " @ %clientName @ " (" @ %clientBL_ID @ ") - \"" @ %reason @ "\"");
		}

		%file.close ();
	}

	if ( isObject (%client) )
	{
		messageClient (%client, '', " ");
	}
	else
	{
		echo ("\n");
	}

	%file.close ();
	%file.delete ();
}

function serverCmdClearBuilderBanList ( %client )
{
	if ( !canBanBuilders (%client) )
	{
		messageClient (%client, '', "You don't have permission to use this command.");
		return;
	}

	if ( getSimTime () - $Server::BuilderBan::LastListTime < 2000 )
	{
		messageClient (%client, '', "Please wait before trying this command again.");
		return;
	}

	$Server::BuilderBan::LastListTime = getSimTime ();
	clearBuilderBanList (%client);
}

function clearBuilderBanList ( %client )
{
	%pattern = "config/server/bannedBuilders/*.txt";
	%count = 0;

	if ( findFirstFile (%pattern) $= "" )
	{
		if ( isObject (%client) )
		{
			messageClient (%client, '', "\c4No players are banned from building at this time.");
		}
		else
		{
			echo ("No players are banned from building at this time.");
		}

		return;
	}

	for ( %filePath = findFirstFile (%pattern);  %filePath !$= "";  %filePath = findNextFile (%pattern) )
	{
		fileDelete (%filePath);
		%count++;
	}

	if ( %count > 0 )
	{
		%name = "CONSOLE";
		%msg  = "\nBUILDER BAN LIST CLEARED";

		if ( isObject (%client) )
		{
			%name  = %client.name;
			%bl_id = %client.bl_id;

			%msg = %msg @ " by " @ %name @ " (BL_ID:" @ %bl_id @ ")";
		}

		echo (%msg);
		echo ("  +- bans cleared = " @ %count @ "\n");

		messageAll ('MsgClearBricks', '\c3%1 \c0cleared the builder banlist.', %name);
	}
}
