function serverCmdUnbanBuilder ( %client, %id )
{
	if ( !canBanBuilders (%client) )
	{
		messageClient (%client, '', "You don't have permission to use this command.");
		return;
	}

	if ( %id $= "" )
	{
		messageClient (%client, '', "No BL_ID specified");
		messageClient (%client, '', "Usage: /unbanBuilder bl_id");
	}
	else
	{
		unbanBuilder (%id, %client);
	}
}

function unbanBuilder ( %id, %unbanningClient )
{
	if ( %id $= "" )
	{
		echo ("Usage: unbanBuilder(bl_id);");
		return;
	}

	if ( %id * 1 != %id )
	{
		if ( !isObject (%unbanningClient) )
		{
			error ("unbanBuilder () - Invalid BL_ID `" @ %id @ "`");
		}
		else
		{
			messageClient (%unbanningClient, '', "Invalid BL_ID!");
		}

		return;
	}


	%group = "BrickGroup_" @ %id;

	if ( isBannedFromBuilding (%id) )
	{
		fileDelete ("config/server/bannedBuilders/" @ %id @ ".txt");

		if ( isObject (%unbanningClient) )
		{
			echo ("\n" @ %unbanningClient.name @ " (ID: " @ %unbanningClient.bl_id @ ") unbanned builder BL_ID " @ %id);
			messageClient (%unbanningClient, '', "\c5Unbanned " @ %id @ " from building.");
		}

		if ( isObject (%group.client) )
		{
			messageClient (%group.client, '', "\c5You have been unbanned from building.");
		}
	}
	else
	{
		if ( isObject (%unbanningClient) )
		{
			messageClient (%unbanningClient, '', "Player is not banned from building.");
		}
	}
}
